/*
 * Class EV_MULTI_POINTED_FIGURE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_440 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_440 [] = {0xFF01,1551,439,0xFFFF};
static const EIF_TYPE_INDEX egt_2_440 [] = {0xFF01,439,0xFFFF};
static const EIF_TYPE_INDEX egt_3_440 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_440 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_440 [] = {0xFF01,439,0xFFFF};
static const EIF_TYPE_INDEX egt_6_440 [] = {0xFF01,439,0xFFFF};
static const EIF_TYPE_INDEX egt_7_440 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_440 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_440 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_440 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_440 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_440 [] = {0xFF01,439,0xFFFF};
static const EIF_TYPE_INDEX egt_13_440 [] = {0xFF01,680,0xFFFF};
static const EIF_TYPE_INDEX egt_14_440 [] = {0xFF01,1567,0xFF01,680,0xFFFF};


static const struct desc_info desc_440[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_440), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_440), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_440), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_440), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_440), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_440), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_440), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_440), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_440), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_440), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_440), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_440), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x036F /*439*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_440), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_440), 7458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7459, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7460, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7461, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_440), -1, 0xFFFFFFFF},
};
void Init440(void)
{
	IDSC(desc_440, 0, 439);
	IDSC(desc_440 + 1, 1, 439);
	IDSC(desc_440 + 32, 298, 439);
}


#ifdef __cplusplus
}
#endif
